using System;
using System.Windows.Forms;

namespace AdvancedDemo
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }

    class TemplateExampleBase
    {
        public virtual string Generate(string templateSourceDirectory, string templateFile, string templateSource)
        {
            return null;
        }
    }
}